/*****************************************************************************
 *- Utility Function Declarations (Non-Exported) ----------------------------*
 *****************************************************************************/

#pragma once
#include <visatype.h>

ViStatus rsfph_InitAttributes(ViSession instrSession);

ViStatus rsfph_DefaultInstrSetup(ViSession openInstrSession);

ViStatus rsfph_CheckStatus(ViSession instrSession);

ViStatus rsfph_dataReadTrace(ViSession instrSession,
                             ViString  cmd,
                             ViInt32   arrayLength,
                             ViReal64  traceData[],
                             ViPInt32  noofPoints);

ViStatus rsfph_utility_error_message(ViSession instrSession,
                                     ViStatus  errorCode,
                                     ViChar    errorMessage[]);
